Loading...
Searching...
No Matches
L4::Ipc::Opt< T > Struct Template Reference

Attribute for defining an optional RPC argument. More...

`#include <ipc_types>`

Inheritance diagram for L4::Ipc::Opt< T >:
Collaboration diagram for L4::Ipc::Opt< T >:

## Public Member Functions

| Opt () noexcept
| Make an absent optional argument.
| Opt (T value) noexcept
| Make a present optional argument with the given value.
Opt & | operator= (T value) noexcept
| Assign a value to the optional argument (makes the argument present).
void | set_valid (bool valid=true) noexcept
| Set the argument to present or absent.
T * | operator-> () noexcept
| Get the pointer to the value.
T const * | operator-> () const noexcept
| Get the const pointer to the value.
T | value () const noexcept
| Get the value.
T & | value () noexcept
| Get the value.
bool | is_valid () const noexcept
| Get true if present, false if not.

## Data Fields

T | _value
| The value.
bool | _valid
| True if the optional argument is present, false else.

## Detailed Description

template<typename T>
struct L4::Ipc::Opt< T >

Attribute for defining an optional RPC argument.

Definition at line 136 of file ipc_types.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_types